Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSFree

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSMovieObject
              com.flagstone.transform.FSFree

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSFree

extends FSMovieObject

FSFree deletes the object with the specified identifier, freeing up resources in the Flash Player.

Attributes
type | Identifies the data structure when it is encoded. Read-only.
identifier | The identifier of the object, in the range 1..65535, that will be deleted from the Flash Player's memory.

# History

The FSFree class represents the FreeCharacter tag from the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 3.

Field Summary

Fields inherited from class com.flagstone.transform.FSMovieObject
`ButtonColorTransform, ButtonSound, DefineBitsPtr, DefineButton, DefineButton2, DefineFont, DefineFont2, DefineImage, DefineImage2, DefineJPEGImage, DefineJPEGImage2, DefineJPEGImage3, DefineMorphShape, DefineMovieClip, DefineShape, DefineShape2, DefineShape3, DefineSound, DefineText, DefineText2, DefineTextField, DefineVideo, DoAction, EnableDebugger, EnableDebugger2, Export, extendLength, FontInfo, FontInfo2, FrameLabel, Free, Import, Initialize, JPEGTables, length, LimitScript, PathsArePostscript, PlaceObject, PlaceObject2, Protect, QuicktimeMovie, RemoveObject, RemoveObject2, SerialNumber, SetBackgroundColor, ShowFrame, SoundStreamBlock, SoundStreamHead, SoundStreamHead2, StartSound, TabOrder, type, VideoFrame`

Constructor Summary
`FSFree(FSCoder coder)` Construct an FSFree object, initializing it with values decoded from an encoded object.
`FSFree(FSFree obj)` Constructs an FSFree object by copying values from an existing object.
`FSFree(int anIdentifier)` Constructs an FSFree object with the specified identifier.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`int` | `getIdentifier()` Gets the identifier of the object to be deleted.
`int` | `length(FSCoder coder)`
`void` | `setIdentifier(int anIdentifier)` Sets the identifier of the object to be deleted.

Methods inherited from class com.flagstone.transform.FSMovieObject
`getType`

Methods inherited from class com.flagstone.transform.FSTransformObject
`clone, name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSFree

    public FSFree(FSCoder coder)

  Construct an FSFree object, initializing it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSFree

    public FSFree(int anIdentifier)

  Constructs an FSFree object with the specified identifier. The identifier must be in the range 1..65535.

  Parameters:
    `anIdentifier` - the identifier of the object to be deleted.

### FSFree

    public FSFree(FSFree obj)

  Constructs an FSFree object by copying values from an existing object.

  Parameters:
    `obj` - an FSFree object.

Method Detail

### getIdentifier

    public int getIdentifier()

  Gets the identifier of the object to be deleted.

  Returns:
    the object's identifier.

### setIdentifier

    public void setIdentifier(int anIdentifier)

  Sets the identifier of the object to be deleted. The identifier must be in the range 1..65535.

  Parameters:
    `anIdentifier` - the identifier of the object to be deleted.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSMovieObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSMovieObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Overrides:
    `appendDescription` in class `FSMovieObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSMovieObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSMovieObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSMovieObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD